com.pivotal.gemfirexd.internal.client.am

## Interface ResultSetCallbackInterface

All Superinterfaces:
  UnitOfWorkListener

All Known Implementing Classes:
  NetResultSet, NetResultSet40, ResultSet

    public interface ResultSetCallbackInterface
    extends UnitOfWorkListener

### Method Summary

Methods
`void` `accumulateWarning(SqlWarning e)`
`int` `completeSqlca(Sqlca sqlca)`
`void` `earlyCloseComplete(Sqlca sqlca)`
`ConnectionCallbackInterface` `getConnectionCallbackInterface()`
`StatementCallbackInterface` `getStatementCallbackInterface()`

### Methods inherited from interface com.pivotal.gemfirexd.internal.client.am.UnitOfWorkListener

`completeLocalCommit, completeLocalRollback, listenToUnitOfWork`

### Method Detail

#### earlyCloseComplete

    void earlyCloseComplete(Sqlca sqlca)

#### completeSqlca

    int completeSqlca(Sqlca sqlca)

#### accumulateWarning

    void accumulateWarning(SqlWarning e)

#### getStatementCallbackInterface

    StatementCallbackInterface getStatementCallbackInterface()

#### getConnectionCallbackInterface

    ConnectionCallbackInterface getConnectionCallbackInterface()